/************************************************
 * Copyright (c) Shen Li. All rights reserved.  *
 * http://joyaop.sourceforge.net                *
 * -------------------------------------------- *
 * Distributable under LGPL license.            *
 * See terms of license at gnu.org.             *
 ************************************************/
package net.sf.joyaop.demo.rbac.model;

import java.util.Set;

/**
 * @author Shen Li
 */
public interface PermissionOwner {
    Set getPermissions();

    void setPermissions(Set permissions);

    void addPermission(Permission permission);

    boolean hasPermission(Permission permission);
}
